#!/bin/bash

pwd=$(pwd)

export PS1='\w\$ '
umask 022
version=`cat build`


echo "--------------------------------------------------------------"
echo "Setting PATH to $pwd:$PATH"
export PATH=$pwd:$PATH
echo "Setting LD_LIBRARY_PATH to $pwd/lib:$LD_LIBRARY_PATH"
export LD_LIBRARY_PATH=$pwd:$pwd/lib:$LD_LIBRARY_PATH

if [ ! -e home ]
then
 echo "--------------------------------------------------------------"
 echo "mkdir home"
 mkdir home
fi

if [ -e home/.version ];then
 lastrun=`cat home/.version`
else
 lastrun="00"
fi

export HOME=$pwd/home
export XDG_DATA_HOME=$pwd/home

#get the sys speed, to detect Gigahertz Pandora
sysspeed=332
if [ -e /proc/pandora/sys_mhz_max ];then
 sysspeed=`cat /proc/pandora/sys_mhz_max`
fi

if [ $sysspeed -ge 398 ];then
 gigahertz=1
else
 gigahertz=0
fi

#all done, write the new lastrun...
if [ ! "$version" = "$lastrun" ];then
	echo "$version">home/.version
fi

export LIBGL_FB=1
export LIBGL_ES=2
#export LIBGL_BATCH=1
export LIBGL_FASTMATH=1

free=`free -mt | grep Total | awk '{print $4}'`
echo System check
echo ============
echo Freememory is $free
echo Cpu Speed is `cat /proc/pandora/cpu_mhz_max`
echo Sys Speed is `cat /proc/pandora/sys_mhz_max`

export BOX86_LD_LIBRARY_PATH=$pwd/x86

#set keymap to something easy to use on a Pandora
#xmodmap -e "keysym Next = z"
#xmodmap -e "keysym End = x"
xmodmap -e "keysym Space = x"

[ -e "$HOME/pre_script.sh" ] && . $HOME/pre_script.sh
if [ -e "$HOME/post_script.sh" ];then
 	./box86t DonkeyKong_Linux_x86
	. $HOME/post_script.sh
else
	./box86t DonkeyKong_Linux_x86
fi

#restore Gama and Keymap
sudo -n /usr/pandora/scripts/op_gamma.sh 0
./setxkbmap
